%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-strip-ansi
Version:    3.0.0
Release:    1%{?dist}
Summary:    Strip ANSI escape codes (used for colorizing strings in the terminal)
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/strip-ansi
Source0:    http://registry.npmjs.org/strip-ansi/-/strip-ansi-%{version}.tgz
Source1:    https://raw.githubusercontent.com/sindresorhus/strip-ansi/3c9b37e5381603925ba16b27a05ccbfd338906b8/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-ansi
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/strip-ansi

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha
%endif


%files
%doc license readme.md
%{nodejs_sitelib}/strip-ansi


%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 3.0.0-1
- Update to 3.0.0 (no longer has a binary)
- Remove tests until all dependencies are built

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- update to upstream release 0.2.0

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.1-1
- initial package
